Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sharin.doc.builder.xhtml1
Class MapElem

    java.lang.Object
      sharin.doc.builder.Elem
          sharin.doc.builder.GenericXmlElem<E>
              sharin.doc.builder.xhtml1.GenericI18nElem<MapElem>
                  sharin.doc.builder.xhtml1.MapElem

    public class MapElem

extends GenericI18nElem<MapElem>

Constructor Summary
`MapElem(Object... nodes)`

Method Summary
`MapElem` | `clas(Object value)`
`MapElem` | `id(Object value)`
`MapElem` | `name(Object value)`
`MapElem` | `onclick(Object value)`
`MapElem` | `ondblclick(Object value)`
`MapElem` | `onkeydown(Object value)`
`MapElem` | `onkeypress(Object value)`
`MapElem` | `onkeyup(Object value)`
`MapElem` | `onmousedown(Object value)`
`MapElem` | `onmousemove(Object value)`
`MapElem` | `onmouseout(Object value)`
`MapElem` | `onmouseover(Object value)`
`MapElem` | `onmouseup(Object value)`
`MapElem` | `style(Object value)`
`MapElem` | `title(Object value)`

Methods inherited from class sharin.doc.builder.xhtml1.GenericI18nElem
`dir, lang, xmllang`

Methods inherited from class sharin.doc.builder.GenericXmlElem
`_, attr, toString`

Methods inherited from class sharin.doc.builder.Elem
`getAttrList, getName, getNodeList, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MapElem

    public MapElem(Object... nodes)

Method Detail

### clas

    public MapElem clas(Object value)

### id

    public MapElem id(Object value)

### name

    public MapElem name(Object value)

### onclick

    public MapElem onclick(Object value)

### ondblclick

    public MapElem ondblclick(Object value)

### onkeydown

    public MapElem onkeydown(Object value)

### onkeypress

    public MapElem onkeypress(Object value)

### onkeyup

    public MapElem onkeyup(Object value)

### onmousedown

    public MapElem onmousedown(Object value)

### onmousemove

    public MapElem onmousemove(Object value)

### onmouseout

    public MapElem onmouseout(Object value)

### onmouseover

    public MapElem onmouseover(Object value)

### onmouseup

    public MapElem onmouseup(Object value)

### style

    public MapElem style(Object value)

### title

    public MapElem title(Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SHU. All Rights Reserved.